; Configuration defaults for ROExt.
; Can be changed by client command line switches.
; All settings except CodePage use 0 for disable and 1 for enable.
[ROExt]

; Allow mouse cursor to freely leave and enter RO window.
; Command line switch: -mf
MouseFreedom = 1

; Remap 3-5'th mouse buttons, requires turned on MouseFreedom
;  when KeyRemap is off: to F24-F22
;  when KeyRemap is on : to F3-F5 of next skill set
; Command line switch: -mb
RemapMouseButtons = 0

; Remap closing RO from Alt+F4 to Alt+PrintScreen.
; Allow using Alt+F4 in game as regular key.
; Command line switch: -altf4
RemapAltF4 = 0

; For classic (not Renewal) client only.
; Change active skill set by holding Ctrl and Alt keys.
; Make Pause,F10-F12 work as F6-F9 of next skill set.
; Move original functions of F12 to Shift+Esc, F10/F11 to Alt+Insert/Delete.
; Note: pressing or releasing Ctrl or Alt keys during loading screens
;  cause permanent active skill set switch instead of temporal.
; Command line switch: -key
KeyRemap = 0

; Release CPU when RO window is inactive.
; Disable Ctrl+S hotkey as this is automatic way to do the same.
; Command line switch: -cpu
AutoFreeCPU = 1

; Make RO window be always on top.
; Command line switch: t after -w
WindowOnTop = 0

; Remove RO window borders and lock its position.
; Change default window size to cover all screen except task bar.
; Command line switch: l after -w
WindowLock = 0

; Override RO window position and size.
; Ignored if WindowWidth = 0 or WindowHeight = 0.
; Command line switch: -wX,Y,Width,Height
WindowPosX = 0
WindowPosY = 0
WindowWidth = 0
WindowHeight = 0

; Override codepage used by client, use -1 for no override.
; 65001 (UTF-8) makes client work with all languages at the same time.
; Don't change until you really know what you are doing.
; Command line switch: -cp
CodePage = 65001
